#
# spec file for package gspcav (Version 01.00.12)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# nodebuginfo
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc-c++ gcc42 gcc42-c++ gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv kernel-source kernel-syms less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libstdc++42-devel libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt rpm sed sysvinit tar texinfo timezone util-linux zlib


Name:           gspcav
BuildRequires:  gcc-c++ kernel-source kernel-syms module-init-tools
License:        GPL v2 or later
Group:          System/Kernel
Summary:        Webcam driver Kernel Modules
Version:        01.00.12
Release:        6.1
Source0:        gspcav1-20070110.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://mxhaard.free.fr/spca5xx.html
%suse_kernel_module_package kdump um

%description
This kernel module is a set of drivers for webcams



Authors:
--------
    Michel Xhaard <mxhaard@magic.fr>

%package KMP
License:        GPL v2 or later
Summary:        Webcam driver Kernel Modules
Group:          System/Kernel

%description KMP
This kernel module is a set of drivers for webcams



Authors:
--------
    akyvernitis <akyvernitis@hotmail.com>

%prep
%setup -n gspcav1-20070110
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\%version\"';
for flavor in %flavors_to_build; do
  rm -rf obj/$flavor
  cp -r source obj/$flavor
  make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
    M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
  make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
    M=$PWD/obj/$flavor
done

%changelog
* Mon Aug 13 2007 - mlasars@suse.de
- fixed wrong URL and Author tag
* Thu Apr 05 2007 - lrupp@suse.de
- added module-init-tools to BuildRequires
* Mon Feb 05 2007 - ro@suse.de
- no main package, no debuginfo
* Thu Jan 18 2007 - jhargadon@suse.de
- Initial submission, version 01.00.12
